.datepicker-picker {
	overflow: hidden;
}
.datepicker-picker.dark {
	border-radius: 5px;
	background-color: #2a3f54;
	color: #ECF0F1;
	overflow: hidden;
}
.datepicker-view {
	width: 19rem;
}
.datepicker-dropdown {
	z-index: 994;
	padding-top: 0;
	margin: 0;
}
.datepicker-dropdown .datepicker-picker {
	box-shadow: 0 0 4px #0004;
	box-shadow: none;
}

.datepicker-header .datepicker-controls {
	padding: 0 0.4rem 0.5rem;
	box-shadow: 0 11px 1px -10px #9993;
	margin-bottom: 0.68rem;
	gap: 0.7rem;
}
.datepicker-dropdown .datepicker-header .datepicker-controls {
	padding-top: 0.25rem;
}

.datepicker .button {
	border: 0;
	background-color: transparent;
	color: inherit;
	border: 1px solid #90909020;
	border-radius: 5px;
	height: 2.3rem;
	box-shadow: 0 1px 16px #90909020;
}
.datepicker .button:not(.disabled) {
	cursor: pointer;
}
.datepicker .button.disabled
, .datepicker-cell.disabled {
	color: #909090c0;
}
.datepicker .button:not(.disabled):hover {
	background-color: #90909020;
	cursor: pointer;
	box-shadow: 0 1px 16px #90909020, inset 0 0 5px #90909010;
}
.datepicker .button:not(.disabled):active {
	background-color: #90909020;
	cursor: pointer;
	box-shadow: 0 1px 16px #90909020, inset 0 0 0.4rem #90909030;
}

.datepicker-controls .prev-button
, .datepicker-controls .next-button {
	padding: 0;
	font-size: 0;
	width: 2.3rem;
	height: 2.3rem;
	flex: 0 0 auto;
	display: flex;
}

.datepicker-controls .prev-button:after
, .datepicker-controls .next-button:after {
	border: 3px solid #828385;
	border-radius: 1px;
	border-width: 2px 2px 0 0;
	content: '';
	width: 0.55rem;
	height: 0.55rem;
	transform: translateX(-2px) rotate(45deg);
}
.datepicker-controls .prev-button:after {
	transform: translateX(2px) rotate(-135deg);
}

.datepicker .dow {
	height: unset;
	font-size: 0.9rem;
	font-weight: 700;
	color: #71717A;
	padding-bottom: 0.5rem;
}
.datepicker-cell {
	border-radius: 4px;
	font-size: 0.95rem;
	font-weight: 600;
	height: unset;
	padding: 0.6rem 0;
}
.datepicker-cell:not(.disabled):hover {
	background-color: #01656519;
	box-shadow: 0 0px 0 2px inset #01656540, 0 0px 0 1px #01656550;
	cursor: pointer;
}
.datepicker-cell.prev:not(.disabled)
, .datepicker-cell.next:not(.disabled) {
	color: #a0a3a4;
}
.datepicker-cell.selected
, .datepicker-cell.selected:hover {
	background-color: transparent;
	color: #000;
	border-radius: 5px;
	box-shadow: 0 0px 0 3px inset #016565;
	font-weight: 700;
	transform: scale(1.07);
}
.datepicker-cell.focused:not(.selected) {
	background-color: #01656519;
	box-shadow: 0 0px 0 2px inset #01656580, 0 0px 0 1px #01656590;
}


.datepicker-picker.dark .datepicker .dow {
	color: #8E8E85;
}
.datepicker-picker.dark .datepicker-cell:not(.disabled):hover
, .datepicker-picker.dark .datepicker .button:not(.disabled):hover {
	background-color: #fff3;
	cursor: pointer;
}
.datepicker-picker.dark .datepicker-cell.prev:not(.disabled)
, .datepicker-picker.dark .datepicker-cell.next:not(.disabled) {
	color: #a0a3a4;
}
.datepicker-picker.dark .datepicker-cell.selected
, .datepicker-picker.dark .datepicker-cell.selected:hover {
	background-color: #1ABB9C;
	box-shadow: none;
	border-radius: 4px;
	color: #fff;
}
.datepicker-picker.dark .datepicker-cell.focused:not(.selected) {
	background-color: #fff6;
}